<!DOCTYPE HTML>
<!-- Thymeleaf Namespace -->
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <title>Getting Started: Serving Web Content</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css">

    <style>
        img{
            margin-bottom: 15px;
        }
        footer{
            margin-top: 40px;
        }
        .card.mb-4.shadow-sm{
            width: 260px;
        }
    </style>
</head>

</head>

<body>
<div class="d-flex flex-column flex-md-row align-items-center p-3 px-md-4 mb-3 bg-white border-bottom shadow-sm">
    <h5 class="my-0 mr-md-auto font-weight-normal">Cocktail Application</h5>
    <nav class="my-2 my-md-0 mr-md-3">

        <form th:action="@{/}"
              th:object="${searchService}" method="POST">
            <input type="text" th:field="*{cocktailName}" />
            <input type="submit" value="Найти" />
        </form>
    </nav>
    <a class="btn btn-outline-primary" href="#">Авторизация</a>
</div>

<div class="pricing-header px-3 py-3 pt-md-5 pb-md-4 mx-auto text-center">
    <h1 class="display-4">Pricing</h1>
    <p class="lead">Коктели, полученные с помощью API.</p>
</div>

    <div class="container">
        <div class="card-deck mb-3 text-center"   >
            <div class="card mb-4 shadow-sm" th:each="cocktail: ${cocktails}">
                <div class="card-header" >
                    <h4 class="my-0 font-weight-normal" th:utext="${cocktail.name}"> </h4>
                </div>

                <div class="card-body" method="post" modelAttribute="mansForm">
                    <a th:href="@{/cocktail(id=${cocktail.id})}">
                        <img  th:src="${cocktail.url}" width='210' height='210'/></a>
                    <a th:href="@{/cocktail(id=${cocktail.id})}"><button type="button" class="btn btn-lg btn-block btn-primary"> Добавить в БД</button></a>
                </div>
            </div>


        </div>



            </div>

    <footer class="pt-4 my-md-5 pt-md-5 border-top">
        <div class="row">
            <div class="col-12 col-md">
                <img class="mb-2" src="/docs/4.4/assets/brand/bootstrap-solid.svg" alt="" width="24" height="24">
                <small class="d-block mb-3 text-muted">© 2017-2020</small>
            </div>
            <div class="col-6 col-md">
                <h5>Features</h5>
                <ul class="list-unstyled text-small">
                    <li><a class="text-muted" href="#">Cool stuff</a></li>
                    <li><a class="text-muted" href="#">Random feature</a></li>
                    <li><a class="text-muted" href="#">Team feature</a></li>
                    <li><a class="text-muted" href="#">Stuff for developers</a></li>
                    <li><a class="text-muted" href="#">Another one</a></li>
                    <li><a class="text-muted" href="#">Last time</a></li>
                </ul>
            </div>
            <div class="col-6 col-md">
                <h5>Resources</h5>
                <ul class="list-unstyled text-small">
                    <li><a class="text-muted" href="#">Resource</a></li>
                    <li><a class="text-muted" href="#">Resource name</a></li>
                    <li><a class="text-muted" href="#">Another resource</a></li>
                    <li><a class="text-muted" href="#">Final resource</a></li>
                </ul>
            </div>
            <div class="col-6 col-md">
                <h5>About</h5>
                <ul class="list-unstyled text-small">
                    <li><a class="text-muted" href="#">Team</a></li>
                    <li><a class="text-muted" href="#">Locations</a></li>
                    <li><a class="text-muted" href="#">Privacy</a></li>
                    <li><a class="text-muted" href="#">Terms</a></li>
                </ul>
            </div>
        </div>
    </footer>
</div>





</body>
</html>